## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.m3ter.com/llms.txt)

Use this file to discover all available pages before exploring further.

Get product values for querying bill line items.

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/products \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills/products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**: Returns a list of products.
- **4XX**: Client errors.
- **5XX**: Server errors.

### Sample JSON Response

```json
{
  "productNames": [
    "<string>"
  ]
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization

- **Type**: String
- **In**: Header
- **Required**: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
